Spring JPA配置文件Eclipse报错如何解决

新公司工程是用Maven管理的,技术上使用了JPA,但是我导入工程到MyEclipse时,applicationContext.xml中提示错误:

Referenced file contains errors (http://www.springframework.org/schema/data/jpa/spring-jpa-1.3.xsd)

网上说需要用到:

http://www.springframework.org/schema/data/repository/spring-repository.xsd

于是对配置文件少做修改,不报错,可以运行,修改后的配置文件头如下:


以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持脚本之家。

你可能感兴趣的